Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee6
Interface MessageDestinationRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  MessageDestinationRefTypeImpl

    public interface MessageDestinationRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `message-destination-refType` xsd type

Original Documentation:

[
The message-destination-ref element contains a declaration
of Deployment Component's reference to a message destination
associated with a resource in Deployment Component's
environment. It consists of:
- an optional description
- the message destination reference name
- an optional message destination type
- an optional specification as to whether
the destination is used for
consuming or producing messages, or both.
if not specified, "both" is assumed.
- an optional link to the message destination
- optional injection targets
The message destination type must be supplied unless an
injection target is specified, in which case the type
of the target is used. If both are specified, the type
must be assignment compatible with the type of the injection
target.
Examples:
jms/StockQueue
javax.jms.Queue
Consumes
CorporateStocks

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<MessageDestinationRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getLookupName()` Returns the `lookup-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getMessageDestinationLink()` Returns the `message-destination-link` element
`java.lang.String` | `getMessageDestinationRefName()` Returns the `message-destination-ref-name` element
`java.lang.String` | `getMessageDestinationType()` Returns the `message-destination-type` element
`MessageDestinationUsageType` | `getMessageDestinationUsage()` Returns the `message-destination-usage` element
`java.lang.String` | `getMessageDestinationUsageAsString()` Returns the `message-destination-usage` element
`InjectionTargetType<MessageDestinationRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`MessageDestinationRefType<T>` | `removeAllDescription()` Removes the `description` element
`MessageDestinationRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`MessageDestinationRefType<T>` | `removeLookupName()` Removes the `lookup-name` element
`MessageDestinationRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`MessageDestinationRefType<T>` | `removeMessageDestinationLink()` Removes the `message-destination-link` element
`MessageDestinationRefType<T>` | `removeMessageDestinationRefName()` Removes the `message-destination-ref-name` element
`MessageDestinationRefType<T>` | `removeMessageDestinationType()` Removes the `message-destination-type` element
`MessageDestinationRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`MessageDestinationRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`MessageDestinationRefType<T>` | `setLookupName(java.lang.String lookupName)` If not already created, a new `lookup-name` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationLink(java.lang.String messageDestinationLink)` If not already created, a new `message-destination-link` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationRefName(java.lang.String messageDestinationRefName)` If not already created, a new `message-destination-ref-name` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationType(java.lang.String messageDestinationType)` If not already created, a new `message-destination-type` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationUsage(MessageDestinationUsageType messageDestinationUsage)` If not already created, a new `message-destination-usage` element with the given value will be created.
`MessageDestinationRefType<T>` | `setMessageDestinationUsage(java.lang.String messageDestinationUsage)` If not already created, a new `message-destination-usage` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setLookupName

    MessageDestinationRefType<T> setLookupName(java.lang.String lookupName)

  If not already created, a new `lookup-name` element with the given value will be created. Otherwise, the existing `lookup-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationRefType`

### removeLookupName

    MessageDestinationRefType<T> removeLookupName()

  Removes the `lookup-name` element

  Returns:
    the current instance of `MessageDestinationRefType`

### getLookupName

    java.lang.String getLookupName()

  Returns the `lookup-name` element

  Returns:
    the node defined for the element `lookup-name`

### setMappedName

    MessageDestinationRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationRefType`

### removeMappedName

    MessageDestinationRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `MessageDestinationRefType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    MessageDestinationRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `MessageDestinationRefType`

### injectionTarget

    InjectionTargetType<MessageDestinationRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<MessageDestinationRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### setDescription

    MessageDestinationRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `MessageDestinationRefType`

### setDescriptionList

    MessageDestinationRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `MessageDestinationRefType`

### removeAllDescription

    MessageDestinationRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `MessageDestinationRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setMessageDestinationRefName

    MessageDestinationRefType<T> setMessageDestinationRefName(java.lang.String messageDestinationRefName)

  If not already created, a new `message-destination-ref-name` element with the given value will be created. Otherwise, the existing `message-destination-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationRefType`

### removeMessageDestinationRefName

    MessageDestinationRefType<T> removeMessageDestinationRefName()

  Removes the `message-destination-ref-name` element

  Returns:
    the current instance of `MessageDestinationRefType`

### getMessageDestinationRefName

    java.lang.String getMessageDestinationRefName()

  Returns the `message-destination-ref-name` element

  Returns:
    the node defined for the element `message-destination-ref-name`

### setMessageDestinationType

    MessageDestinationRefType<T> setMessageDestinationType(java.lang.String messageDestinationType)

  If not already created, a new `message-destination-type` element with the given value will be created. Otherwise, the existing `message-destination-type` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationRefType`

### removeMessageDestinationType

    MessageDestinationRefType<T> removeMessageDestinationType()

  Removes the `message-destination-type` element

  Returns:
    the current instance of `MessageDestinationRefType`

### getMessageDestinationType

    java.lang.String getMessageDestinationType()

  Returns the `message-destination-type` element

  Returns:
    the node defined for the element `message-destination-type`

### setMessageDestinationUsage

    MessageDestinationRefType<T> setMessageDestinationUsage(MessageDestinationUsageType messageDestinationUsage)

  If not already created, a new `message-destination-usage` element with the given value will be created. Otherwise, the existing `message-destination-usage` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationRefType`

### setMessageDestinationUsage

    MessageDestinationRefType<T> setMessageDestinationUsage(java.lang.String messageDestinationUsage)

  If not already created, a new `message-destination-usage` element with the given value will be created. Otherwise, the existing `message-destination-usage` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationRefType`

### getMessageDestinationUsage

    MessageDestinationUsageType getMessageDestinationUsage()

  Returns the `message-destination-usage` element

  Returns:
    the node defined for the element `message-destination-usage`

### getMessageDestinationUsageAsString

    java.lang.String getMessageDestinationUsageAsString()

  Returns the `message-destination-usage` element

  Returns:
    the node defined for the element `message-destination-usage`

### setMessageDestinationLink

    MessageDestinationRefType<T> setMessageDestinationLink(java.lang.String messageDestinationLink)

  If not already created, a new `message-destination-link` element with the given value will be created. Otherwise, the existing `message-destination-link` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationRefType`

### removeMessageDestinationLink

    MessageDestinationRefType<T> removeMessageDestinationLink()

  Removes the `message-destination-link` element

  Returns:
    the current instance of `MessageDestinationRefType`

### getMessageDestinationLink

    java.lang.String getMessageDestinationLink()

  Returns the `message-destination-link` element

  Returns:
    the node defined for the element `message-destination-link`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD